﻿#define CONNECTED

using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class SerialHandler : MonoBehaviour {

	ArduinoConnector arduinoBoard;
	public int timeOut = 500;

	public LogScript log;

	void Start() {
		#if CONNECTED
		arduinoBoard = this.transform.GetComponent<ArduinoConnector>();
		arduinoBoard.Open();
		arduinoBoard.ReadFromArduino();
		#endif
		if (arduinoBoard.isOpen()) {
			InitGCode();
		}
	}

	public void WriteToSerial(string msg) {
		log.UpdateLog(msg);
		#if CONNECTED
		arduinoBoard.WriteToArduino(msg);
		#endif
	}

	public void ReadFromSerial() {
		#if CONNECTED
		log.UpdateLog(arduinoBoard.ReadFromArduino(timeOut));
		#endif
	}

	public void WriteAndRead(string msg) {
		WriteToSerial(msg);
		ReadFromSerial();
	}

	public void InitGCode(){
		WriteAndRead("$1=255");
		WriteAndRead("G91");
	}
}
